Bug 504334 - open document in new window if empty window is displaying an error
open document in new window if empty window is displaying an error
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: evince (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Marek Kašík
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-05 12:19 EDT by Jeff Bastian
Modified: 2010-10-23 05:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, evince classified a single error dialog as a full running instance. Consequently, if an instance of evince contained only an error dialog, any document opened would appear that instance. This may have confused users, as documents were displayed in the workspace where the error dialog is located, rather than the current workspace. In this updated package, evince no longer treats a single error dialog as an opened document, resolving this issue. (BZ#504334)
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:03:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to open new window (1.64 KB, patch)
2009-06-15 17:31 EDT, Jeff Bastian
no flags Details | Diff

  None (edit)
Description Jeff Bastian 2009-06-05 12:19:33 EDT
Description of problem:
This is a usability bug with evince.

Scenario: a user is working in workspace 2 and opens a PDF from the web with Firefox.  It launches evince to display the PDF.  Then the user saves his session and logs out.  He logs in sometime later, launches Firefox in workspace 1, and tries open another PDF, but nothing happens, i.e., evince does not launch.

Actually, it did launch, but it's not obvious to the user.

evince was started in workspace 2 on login when the session was restored, but it's empty except for an error in a modal dialog box
    Unable to open document
    File not found
(This is because Firefox cleaned up after itself and removed the PDF file from the first session.)

Even though it's displaying an error, evince considers the window available for usage, so it opens the new document in this window.

When evince is displaying an error, that window should be considered unavailable, and it should open a new window.  And this new window would appear in workspace 1 automatically where the user expects it to.


Version-Release number of selected component (if applicable):
evince-0.6.0-8.el5.x86_64

How reproducible:
every time

Steps to Reproduce:
1. in workspace 1, run 'evince foo.pdf' where foo.pdf does NOT exist
2. switch to workspace 2
3. run 'evince bar.pdf' where bar.pdf DOES exist
  
Actual results:
bar.pdf displays in the evince window in workspace 1, and it's also displaying an error

Expected results:
bar.pdf opens in a new window in workspace 2

Additional info:
behavior is the same on evince-2.24.2-1.fc10 in Fedora 10
Comment 1 Jeff Bastian 2009-06-15 17:31:37 EDT
Created attachment 348014 [details]
patch to open new window

Attached is a proof-of-concept patch to open a document in a new window if the current window(s) are empty but displaying an error dialog box.
Comment 4 Marek Kašík 2009-11-12 08:55:00 EST
Hi,

I tested and committed the patch from comment #1.
Thank you for the patch.

Marek
Comment 8 Ryan Lerch 2010-03-10 20:47:26 EST
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Previously, evince classified a single error dialog as a full running instance. Consequently, if an instance of evince contained only an error dialog, any document opened would appear that instance. This may have confused users, as documents were displayed in the workspace where the error dialog is located, rather than the current workspace. In this updated package, evince no longer treats a single error dialog as an opened document, resolving this issue. (BZ#504334)
Comment 9 errata-xmlrpc 2010-03-30 04:03:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0195.html

Note You need to log in before you can comment on or make changes to this bug.